Package org.eclipse.microprofile.openapi.apps.petstore.model

## Class User

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.petstore.model.User

    public class User
    extends Object

### Constructor Summary

Constructors
`User()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getEmail()`
`String` `getFirstName()`
`long` `getId()`
`String` `getLastName()`
`String` `getPassword()`
`String` `getPhone()`
`String` `getUsername()`
`int` `getUserStatus()`
`void` `setEmail​(String email)`
`void` `setFirstName​(String firstName)`
`void` `setId​(long id)`
`void` `setLastName​(String lastName)`
`void` `setPassword​(String password)`
`void` `setPhone​(String phone)`
`void` `setUsername​(String username)`
`void` `setUserStatus​(int userStatus)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### User

    public User()

### Method Detail

#### getId

    public long getId()

#### setId

    public void setId​(long id)

#### getFirstName

    public String getFirstName()

#### setFirstName

    public void setFirstName​(String firstName)

#### getUsername

    public String getUsername()

#### setUsername

    public void setUsername​(String username)

#### getLastName

    public String getLastName()

#### setLastName

    public void setLastName​(String lastName)

#### getEmail

    public String getEmail()

#### setEmail

    public void setEmail​(String email)

#### getPassword

    public String getPassword()

#### setPassword

    public void setPassword​(String password)

#### getPhone

    public String getPhone()

#### setPhone

    public void setPhone​(String phone)

#### getUserStatus

    public int getUserStatus()

#### setUserStatus

    public void setUserStatus​(int userStatus)